- entityDefinitions:
  - IDI_Task_NumericAttribute_View: '{c5a2141a-c724-4229-8e03-35faa8426450}'
  - IDI_Task_NumericAttribute_Edit: '{64730b2b-8b25-4c84-9b88-86216a710b62}'
  - IDE_NumericAttribute_View: '{b77a91d0-5a66-4bc2-b711-c7c5094387e0}'
  - IDE_NumericAttribute_Edit: '{ba3c072c-9a7d-4fd0-a4f5-aaa97f07498f}'
  - IDE_NumericAttribute_Subedits: '{6885ad7c-5e43-4e80-8432-131eb789a2a6}'
  - IDI_TaskCategory_NumericAttribute: '{de53586f-5c42-4299-bf3b-2ed5730ca45e}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_NumericAttribute;'
    name: 'Numeric Attribute'

  - sequenceTask: '&IDI_Task_NumericAttribute_View;'
    name: 'View Numeric Attribute'
    initiatingElement: '&IDE_NumericAttribute_View;'
    taskCategory: '&IDI_TaskCategory_NumericAttribute;'
    
  - sequenceTask: '&IDI_Task_NumericAttribute_Edit;'
    name: 'Edit Numeric Attribute'
    initiatingElement: '&IDE_NumericAttribute_Edit;'
    taskCategory: '&IDI_TaskCategory_NumericAttribute;'
    
  - element: '&IDE_NumericAttribute_View;'
    name: 'view numeric attribute'
    elementContents:
    - globalIdentifier: '{ed6cd752-b029-4c97-b89b-7e14803b7f64}'
      defaultDataType: '&IDE_NumericAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_NumericAttribute_Edit;'
    name: 'edit numeric attribute'
    elementContents:
    - globalIdentifier: '{d3ca823d-91d2-4741-884d-49eaf3b86854}'
      defaultDataType: '&IDE_NumericAttribute_Subedits;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_NumericAttribute_Subedits;'
    name: 'numeric attribute subedits'
    elementContents:
    - globalIdentifier: '{f7d078ef-bfa3-48ed-ab7f-6459504d0df3}'
      defaultDataType: '&IDC_NumericAttribute;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{c3714165-fbfa-4d84-9b9e-d2e35bd889a7}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{c6e0d9ec-75af-4c1d-b6b8-7301e8d6a18a}'
      defaultDataType: '&IDA_Value;'
      label: 'Default Value'

    - globalIdentifier: '{a5601058-243c-4be1-b762-a98ab2745519}'
      defaultDataType: '&IDA_DecimalPositions;'

    - globalIdentifier: '{8a9127a9-1727-4cc1-b51f-8d2d8ef7d715}'
      defaultDataType: '&IDA_MaximumValueNumeric;'
      label: 'Maximum Value'

    - globalIdentifier: '{1fa70b82-ebd1-4c66-af33-eb0a5a31f221}'
      defaultDataType: '&IDA_MinimumValueNumeric;'
      label: 'Minimum Value'